## org.apache.aries.subsystem.core.archive
Class AbstractAttribute

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractAttribute

All Implemented Interfaces:
  Attribute, Parameter

Direct Known Subclasses:
  BundleVersionAttribute, DeployedVersionAttribute, GenericAttribute, TypeAttribute, TypedAttribute, VersionAttribute, VersionRangeAttribute

    public abstract class AbstractAttribute

extends AbstractParameter
implements Attribute

Constructor Summary
`AbstractAttribute(String name, Object value)`

Method Summary
`StringBuilder` `appendToFilter(StringBuilder builder)`
`String` `toString()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName, getValue`

Constructor Detail

### AbstractAttribute

    public AbstractAttribute(String name,
                             Object value)

Method Detail

### appendToFilter

    public StringBuilder appendToFilter(StringBuilder builder)

  Specified by:
    `appendToFilter` in interface `Attribute`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.